Bug 1737943 - gnuradio depends on Python 2
Summary: gnuradio depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnuradio
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1732400
Blocks: F31_PY2REMOVAL 1738957 1738958 1738959 1738960 1738962 1738963 1739460
TreeView+ depends on / blocked
 
Reported: 2019-08-06 11:46 UTC by Lumír Balhar
Modified: 2019-11-11 15:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-11 15:11:21 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 11:46:21 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for gnuradio's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to gnuradio.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 17:12:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:49:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-14 08:47:01 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 4 Lumír Balhar 2019-08-21 13:37:42 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 5 Dan Horák 2019-08-26 08:40:08 UTC
AFAIK this waits on rebasing gnuradio to 3.8

Comment 6 Jaroslav Škarvada 2019-09-05 13:12:49 UTC
- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 
Both apps and bindings.

- What are the upstream/community plans/timelines regarding Python 3?
It's already ported in version 3.8.

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)
I just need to switch the whole gnuradio stack in Fedora downstream to Python 3 which will just require some effort from me, but it's on my todo list (please note I am just leaving to two weeks vacation).

Comment 7 Miro Hrončok 2019-10-03 21:37:19 UTC
Any news about the 3.8 update?

Comment 8 Jaroslav Škarvada 2019-10-04 11:17:57 UTC
(In reply to Miro Hrončok from comment #7)
> Any news about the 3.8 update?

Upstream is ready, but unfortunately they broke Fedora specific things like /usr/lib64 detection, etc. It needs few downstream patches, I am working on it now.

Comment 9 Petr Viktorin 2019-10-11 11:06:53 UTC
Is there anything we could help you with?

Comment 10 Jaroslav Škarvada 2019-10-11 13:12:32 UTC
(In reply to Petr Viktorin from comment #9)
> Is there anything we could help you with?

Thanks for your offer here, but I think this is probably not task for you, because it's gnuradio cmake scripts magic which needs to be downstream patched - it's nothing python3 related. But if you like to dive into it, feel free to do so. I haven't had enough time to finish it.

But if you want to help, I still have few projects on my todo-list which needs help with python3 porting, e.g.:
python-obd (bug 1738099)
bCNC (related to bug 1684603)
rtlsdr-scanner (bug 1738179)

Comment 11 Jaroslav Škarvada 2019-10-11 13:13:39 UTC
(In reply to Jaroslav Škarvada from comment #10)
> (In reply to Petr Viktorin from comment #9)
> > Is there anything we could help you with?
> 
> Thanks for your offer here, but I think this is probably not task for you,
> because it's gnuradio cmake scripts magic which needs to be downstream
> patched - it's nothing python3 related. But if you like to dive into it,
> feel free to do so. I haven't had enough time to finish it.
> 
> But if you want to help, I still have few projects on my todo-list which
> needs help with python3 porting, e.g.:
> python-obd (bug 1738099)
I meant:
python-pyobd (bug 1738099)


Note You need to log in before you can comment on or make changes to this bug.